var
  i: Integer;

begin
  writeln(100);
  for i:=1 to 100 do
    if i mod 3 = 1 then
      writeln(i,' ',2,' ',i,' ',5)
    else if i mod 3 = 2 then
      writeln(i,' ',0,' ',i,' ',3)
    else
      writeln(i,' ',1,' ',i,' ',4);
end.
